singleton Material(chrome_mirror)
{
    mapTo = "chrome_mirror";     
    diffuseMap[0] = "vehicles/common/trailer_mirror/white.dds";
    specularMap[0] = "vehicles/common/trailer_mirror/white.dds";
    normalMap[0] = "vehicles/common/trailer_mirror/white_n.dds";
	    diffuseColor[0] = "5 5 5 0.4";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(mirror)
{
    mapTo = "mirror";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/mirror_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(orangediff_mirror)
{
    mapTo = "orangediff_mirror";
    diffuseMap[0] = "vehicles/common/trailer_mirror/white.dds";
    specularMap[0] = "vehicles/common/trailer_mirror/white.dds";
    normalMap[0] = "vehicles/common/trailer_mirror/white_n.dds";
    specularPower[0] = "3";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "30 10 0 0.4";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
	//cubemap = "global_cubemap_metalblurred";
    //dynamicCubemap = true;
};

singleton Material(black_mirror)
{
    mapTo = "black_mirror"; 
    diffuseMap[0] = "vehicles/common/trailer_mirror/white.dds";
    specularMap[0] = "vehicles/common/trailer_mirror/white.dds";
    normalMap[0] = "vehicles/common/trailer_mirror/white_n.dds";
    diffuseColor[0] = "0.7 0.7 0.7 1";
    specularPower[0] = "10";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    //cubemap = "global_cubemap_metalblurred";
};
singleton Material(colorable_mirror)
{
    mapTo = "colorable_mirror";
    colorPaletteMap[2] = "vehicles/common/trailer_mirror/spring_uv1.dds";
    diffuseMap[2] = "vehicles/common/trailer_mirror/supertrack_c.dds";
    specularMap[2] = "vehicles/common/trailer_mirror/supertrack_s.dds";
    normalMap[2] = "vehicles/common/trailer_mirror/white_n.dds";
    diffuseMap[1] = "vehicles/common/trailer_mirror/supertrack_d.dds";
    specularMap[1] = "vehicles/common/trailer_mirror/supertrack_s.dds";
    normalMap[1] = "vehicles/common/trailer_mirror/white_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/trailer_mirror/white_n.dds";
    specular[0] = "0.5 0.5 0.5 0.1";
    specular[1] = "0.5 0.5 0.5 0.1";
    specular[2] = "0.5 0.5 0.5 0.1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    beamngDiffuseColorSlot = 2;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};