singleton Material(shine)
{
    mapTo = "shine";     
    diffuseMap[0] = "vehicles/pickup/Cummins/white.dds";
    specularMap[0] = "vehicles/pickup/Cummins/white.dds";
    normalMap[0] = "vehicles/pickup/Cummins/white_n.dds";
	    diffuseColor[0] = "0.7 0.7 0.7 1";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(grey)
{
    mapTo = "grey";                     ////////////////redu la peiture bizarre     https://wiki.beamng.com/Vehicle_Materials
    diffuseMap[0] = "vehicles/pickup/Cummins/white.dds";
    specularMap[0] = "vehicles/pickup/Cummins/white.dds";
    normalMap[0] = "vehicles/pickup/Cummins/white_n.dds";
    diffuseColor[0] = "0.7 0.7 0.7 1";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    //cubemap = "global_cubemap_metalblurred";
};
singleton Material(engine_cum)
{
    mapTo = "engine_cum";     
    diffuseMap[0] = "vehicles/pickup/Cummins/engine_cummin.dds";
    specularMap[0] = "vehicles/pickup/Cummins/engine_cummin.dds";
    normalMap[0] = "vehicles/pickup/Cummins/white_n.dds";
	reflectivityMap[0] = "vehicles/pickup/Cummins/engine_cummin_r.dds";
   specularPower[0] = "15";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    //cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(portalaxle)
{
    mapTo = "portalaxle";     
    diffuseMap[0] = "vehicles/pickup/Cummins/portalaxle.dds";
    specularMap[0] = "vehicles/pickup/Cummins/portalaxle.dds";
    normalMap[0] = "vehicles/pickup/Cummins/white_n.dds";
	//reflectivityMap[0] = "vehicles/pickup/Cummins/engine_cummin_r.dds";
   specularPower[0] = "15";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    //cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(ledbar)
{
    mapTo = "ledbar";     
    diffuseMap[0] = "vehicles/pickup/Cummins/ledbar_d.dds";
    specularMap[0] = "vehicles/pickup/Cummins/ledbar_d.dds";
    normalMap[0] = "vehicles/pickup/Cummins/white_n.dds";
   specularPower[0] = "15";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    //cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(glass)
{
    mapTo = "glass";                     ////////////////redu la peiture bizarre     https://wiki.beamng.com/Vehicle_Materials
    diffuseMap[0] = "vehicles/pickup/Cummins/white.dds";
    specularMap[0] = "vehicles/pickup/Cummins/white.dds";
    normalMap[0] = "vehicles/pickup/Cummins/white_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "0.7 0.7 0.7 0.50";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    cubemap = "global_cubemap_metalblurred";
};


singleton Material(pickup2)
{
    mapTo = "pickup2";
    diffuseMap[2] = "vehicles/pickup/Cummins/pickup_c.dds";
    specularMap[2] = "vehicles/pickup/Cummins/pickup_s.dds";
    normalMap[2] = "vehicles/pickup/Cummins/pickup_n.dds";
    diffuseMap[1] = "vehicles/pickup/Cummins/pickup_d.dds";
    specularMap[1] = "vehicles/pickup/Cummins/pickup_s.dds";
    normalMap[1] = "vehicles/pickup/Cummins/pickup_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/pickup/Cummins/pickup_n.dds";
    //diffuseMap[3] = "vehicles/common/pickup/pickup_dirt.dds";
    //normalMap[3] = "vehicles/common/pickup/pickup_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    //diffuseColor[3] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
