singleton Material(cummm_sparkplug)
{
    mapTo = "cummm_sparkplug";
    diffuseMap[0] = "vehicles/common/cummins_engine/white.dds";
    specularMap[0] = "vehicles/common/cummins_engine/white.dds";
    normalMap[0] = "vehicles/common/cummins_engine/white_n.dds";
    diffuseColor[0] = "2.7 2.7 2.7 0.1";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    cubemap = "global_cubemap_metalblurred";
};

singleton Material(cummm_wire)
{
    mapTo = "cummm_wire";
    diffuseMap[0] = "vehicles/common/cummins_engine/white.dds";
    specularMap[0] = "vehicles/common/cummins_engine/white.dds";
    normalMap[0] = "vehicles/common/cummins_engine/white_n.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    //cubemap = "global_cubemap_metalblurred";
};

singleton Material(cummm_bolt)
{
    mapTo = "cummm_bolt";
    diffuseMap[0] = "vehicles/common/cummins_engine/white.dds";
    specularMap[0] = "vehicles/common/cummins_engine/white.dds";
    normalMap[0] = "vehicles/common/cummins_engine/white_n.dds";
    diffuseColor[0] = "3 3 3 0.3";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    cubemap = "global_cubemap_metalblurred";
};

singleton Material(cumm_enginehead)
{
    mapTo = "cumm_enginehead";     
    diffuseMap[0] = "vehicles/common/cummins_engine/cumm_engine_head.dds";
    specularMap[0] = "vehicles/common/cummins_engine/cumm_engine_head.dds";
    normalMap[0] = "vehicles/common/cummins_engine/cumm_engine_headNormalsMap.dds";
   specularPower[0] = "4";
   diffuseColor[0] = "0.4 0.4 0.4 0.05";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(cummm_manifold)
{
    mapTo = "cummm_manifold";
    diffuseMap[0] = "vehicles/common/cummins_engine/cumm_manifold.dds";
    specularMap[0] = "vehicles/common/cummins_engine/cumm_manifold.dds";
    normalMap[0] = "vehicles/common/cummins_engine/cumm_n.dds";
    diffuseColor[0] = "1 1 1 0.3";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    dynamicCubemap = true;
};

singleton Material(cumm_engine)
{
    mapTo = "cumm_engine";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseMap[1] = "vehicles/common/cummins_engine/cumm_engine_d.dds";
    normalMap[1] = "vehicles/common/cummins_engine/cumm_engine_n.dds";
    normalMap[0] = "vehicles/common/cummins_engine/cumm_engine_n.dds";
    specularMap[1] = "vehicles/common/cummins_engine/cumm_engine_s.png";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1 1 1 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(shine2)
{
    mapTo = "shine2";     
    diffuseMap[0] = "vehicles/common/cummins_engine/white.dds";
    specularMap[0] = "vehicles/common/cummins_engine/white.dds";
    normalMap[0] = "vehicles/common/cummins_engine/white_n.dds";
    diffuseColor[0] = "1 1 1 0.05";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(shine_black)
{
    mapTo = "shine_black";
    diffuseMap[0] = "vehicles/common/cummins_engine/white.dds";
    specularMap[0] = "vehicles/common/cummins_engine/white.dds";
    normalMap[0] = "vehicles/common/cummins_engine/white_n.dds";
    diffuseColor[0] = "2 2 2 0.05";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    cubemap = "global_cubemap_metalblurred";
};
singleton Material(Turbo)
{
    mapTo = "Turbo";
    diffuseMap[0] = "vehicles/common/cummins_engine/turbotex.dds";
    specularMap[0] = "vehicles/common/cummins_engine/white.dds";
    normalMap[0] = "vehicles/common/cummins_engine/white_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "1";
	diffuseColor[0] = "0.7 0.7 0.7 0.1";
    alphaTest = "0";
    alphaRef = "0";
	cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};